Skip to content

Bulk write 'GeneralErrandSubType'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
Array [
is_activebooleanrequired
namestring, <= 255 charactersrequired
errand_typeobject(GeneralErrandType)required
overrides_object_connection_restrictionsbooleanrequired
overrides_auto_reviewing_settingsbooleanrequired
overrides_default_descriptionsbooleanrequired
overrides_delegation_instructionsbooleanrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
auto_forward_delegation_after_daysinteger or null, (int32), [ 1 .. 2147483647 ]
delegation_purpose_plannerboolean
attempt_component_supplier_delegationinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

Enum Descriptions:

  • 0 - If Warranty

  • 1 - Always

Enum:01
default_priorityinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

Enum Descriptions:

  • 0 - Low

  • 1 - Medium

  • 2 - High

  • 3 - Highest

Enum:0123
priority_duration_hoursobject or null
should_be_invoicedboolean or null
allowed_in_portalsArray of integers or null, (int32), unique
allowed_connection_typesArray of strings or null, unique
description_configurationArray of any or null
images_configurationArray of any or null
film_recordings_configurationArray of any or null
files_configurationArray of any or null
address_configurationArray of any or null
object_access_configurationArray of any or null

Additional Validation Information:

This value must be set together with the following fields: object_access_available_options

object_access_available_optionsArray of any or null

Additional Validation Information:

This value must be set together with the following fields: object_access_configuration

has_pets_configurationArray of any or null
priority_configurationArray of any or null
is_warranty_configurationArray of any or null
object_connection_configurationArray of any or null
creator_ssn_org_no_configurationArray of any or null
creator_first_name_configurationArray of any or null
creator_last_name_configurationArray of any or null
creator_phone_number_configurationArray of any or null
creator_email_configurationArray of any or null
reporter_ssn_org_no_configurationArray of any or null
reporter_first_name_configurationArray of any or null
reporter_last_name_configurationArray of any or null
reporter_phone_number_configurationArray of any or null
reporter_email_configurationArray of any or null
temporary_contact_ssn_configurationArray of any or null
temporary_contact_org_no_configurationArray of any or null
temporary_contact_first_name_configurationArray of any or null
temporary_contact_last_name_configurationArray of any or null
temporary_contact_phone_number_configurationArray of any or null
temporary_contact_email_configurationArray of any or null
show_default_descriptionsboolean or null
general_information_view_configurationArray of any or null
temporary_contact_view_configurationArray of any or null
sensitive_personal_information_view_configurationArray of any or null
actions_view_configurationArray of any or null
reporter_view_configurationArray of any or null
creator_view_configurationArray of any or null
performer_view_configurationArray of any or null
object_connection_view_configurationArray of any or null
auto_organization_user_reviewersArray of objects(OrganizationUser)
auto_external_supplier_reviewersArray of objects(ExternalSupplier)
auto_work_engagement_reviewersArray of objects(WorkEngagement)
segmentsArray of objects(Segment)
realestatesArray of objects(RealEstate)
external_clientsArray of objects(ExternalClient)
companiesArray of objects(Company)
default_actionsArray of objects(ErrandActionDefault)
default_descriptionsArray of objects(GeneralErrandDefaultDescription)
]
POST
/errands/generalerrands/configurations/generalerrandsubtype/list/
curl -i -X POST \
  https://dev.api.pigello.io/errands/generalerrands/configurations/generalerrandsubtype/list/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '[
    {
      "organization": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "custom_id": "string",
      "auto_forward_delegation_after_days": 1,
      "delegation_purpose_planner": true,
      "attempt_component_supplier_delegation": 0,
      "default_priority": 0,
      "priority_duration_hours": {},
      "is_active": true,
      "should_be_invoiced": true,
      "allowed_in_portals": [
        0
      ],
      "allowed_connection_types": [
        "string"
      ],
      "description_configuration": [
        null
      ],
      "images_configuration": [
        null
      ],
      "film_recordings_configuration": [
        null
      ],
      "files_configuration": [
        null
      ],
      "address_configuration": [
        null
      ],
      "object_access_configuration": [
        null
      ],
      "object_access_available_options": [
        null
      ],
      "has_pets_configuration": [
        null
      ],
      "priority_configuration": [
        null
      ],
      "is_warranty_configuration": [
        null
      ],
      "object_connection_configuration": [
        null
      ],
      "creator_ssn_org_no_configuration": [
        null
      ],
      "creator_first_name_configuration": [
        null
      ],
      "creator_last_name_configuration": [
        null
      ],
      "creator_phone_number_configuration": [
        null
      ],
      "creator_email_configuration": [
        null
      ],
      "reporter_ssn_org_no_configuration": [
        null
      ],
      "reporter_first_name_configuration": [
        null
      ],
      "reporter_last_name_configuration": [
        null
      ],
      "reporter_phone_number_configuration": [
        null
      ],
      "reporter_email_configuration": [
        null
      ],
      "temporary_contact_ssn_configuration": [
        null
      ],
      "temporary_contact_org_no_configuration": [
        null
      ],
      "temporary_contact_first_name_configuration": [
        null
      ],
      "temporary_contact_last_name_configuration": [
        null
      ],
      "temporary_contact_phone_number_configuration": [
        null
      ],
      "temporary_contact_email_configuration": [
        null
      ],
      "show_default_descriptions": true,
      "general_information_view_configuration": [
        null
      ],
      "temporary_contact_view_configuration": [
        null
      ],
      "sensitive_personal_information_view_configuration": [
        null
      ],
      "actions_view_configuration": [
        null
      ],
      "reporter_view_configuration": [
        null
      ],
      "creator_view_configuration": [
        null
      ],
      "performer_view_configuration": [
        null
      ],
      "object_connection_view_configuration": [
        null
      ],
      "name": "string",
      "errand_type": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "overrides_object_connection_restrictions": true,
      "overrides_auto_reviewing_settings": true,
      "overrides_default_descriptions": true,
      "overrides_delegation_instructions": true,
      "auto_organization_user_reviewers": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        }
      ],
      "auto_external_supplier_reviewers": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        }
      ],
      "auto_work_engagement_reviewers": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        }
      ],
      "segments": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        }
      ],
      "realestates": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        }
      ],
      "external_clients": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        }
      ],
      "companies": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        }
      ],
      "default_actions": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        }
      ],
      "default_descriptions": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        }
      ]
    }
  ]'

Responses

Successful bulk create/update

Bodyapplication/json
Array [
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

is_activebooleanrequired
namestring, <= 255 charactersrequired
errand_typeobject(GeneralErrandType)required
overrides_object_connection_restrictionsbooleanrequired
overrides_auto_reviewing_settingsbooleanrequired
overrides_default_descriptionsbooleanrequired
overrides_delegation_instructionsbooleanrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
auto_forward_delegation_after_daysinteger or null, (int32), [ 1 .. 2147483647 ]
delegation_purpose_plannerboolean
attempt_component_supplier_delegationinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

Enum Descriptions:

  • 0 - If Warranty

  • 1 - Always

Enum:01
default_priorityinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

Enum Descriptions:

  • 0 - Low

  • 1 - Medium

  • 2 - High

  • 3 - Highest

Enum:0123
priority_duration_hoursobject or null
should_be_invoicedboolean or null
allowed_in_portalsArray of integers or null, (int32), unique
allowed_connection_typesArray of strings or null, unique
description_configurationArray of any or null
images_configurationArray of any or null
film_recordings_configurationArray of any or null
files_configurationArray of any or null
address_configurationArray of any or null
object_access_configurationArray of any or null

Additional Validation Information:

This value must be set together with the following fields: object_access_available_options

object_access_available_optionsArray of any or null

Additional Validation Information:

This value must be set together with the following fields: object_access_configuration

has_pets_configurationArray of any or null
priority_configurationArray of any or null
is_warranty_configurationArray of any or null
object_connection_configurationArray of any or null
creator_ssn_org_no_configurationArray of any or null
creator_first_name_configurationArray of any or null
creator_last_name_configurationArray of any or null
creator_phone_number_configurationArray of any or null
creator_email_configurationArray of any or null
reporter_ssn_org_no_configurationArray of any or null
reporter_first_name_configurationArray of any or null
reporter_last_name_configurationArray of any or null
reporter_phone_number_configurationArray of any or null
reporter_email_configurationArray of any or null
temporary_contact_ssn_configurationArray of any or null
temporary_contact_org_no_configurationArray of any or null
temporary_contact_first_name_configurationArray of any or null
temporary_contact_last_name_configurationArray of any or null
temporary_contact_phone_number_configurationArray of any or null
temporary_contact_email_configurationArray of any or null
show_default_descriptionsboolean or null
general_information_view_configurationArray of any or null
temporary_contact_view_configurationArray of any or null
sensitive_personal_information_view_configurationArray of any or null
actions_view_configurationArray of any or null
reporter_view_configurationArray of any or null
creator_view_configurationArray of any or null
performer_view_configurationArray of any or null
object_connection_view_configurationArray of any or null
auto_organization_user_reviewersArray of objects(OrganizationUser)
auto_external_supplier_reviewersArray of objects(ExternalSupplier)
auto_work_engagement_reviewersArray of objects(WorkEngagement)
segmentsArray of objects(Segment)
realestatesArray of objects(RealEstate)
external_clientsArray of objects(ExternalClient)
companiesArray of objects(Company)
default_actionsArray of objects(ErrandActionDefault)
default_descriptionsArray of objects(GeneralErrandDefaultDescription)
tagsanyread-only
customer_columnsanyread-only
pending_monitor_approval_amountanyread-only
]
Response
[ { "organization": { … }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "auto_forward_delegation_after_days": 1, "delegation_purpose_planner": true, "attempt_component_supplier_delegation": 0, "default_priority": 0, "priority_duration_hours": {}, "is_active": true, "should_be_invoiced": true, "allowed_in_portals": [ … ], "allowed_connection_types": [ … ], "description_configuration": [ … ], "images_configuration": [ … ], "film_recordings_configuration": [ … ], "files_configuration": [ … ], "address_configuration": [ … ], "object_access_configuration": [ … ], "object_access_available_options": [ … ], "has_pets_configuration": [ … ], "priority_configuration": [ … ], "is_warranty_configuration": [ … ], "object_connection_configuration": [ … ], "creator_ssn_org_no_configuration": [ … ], "creator_first_name_configuration": [ … ], "creator_last_name_configuration": [ … ], "creator_phone_number_configuration": [ … ], "creator_email_configuration": [ … ], "reporter_ssn_org_no_configuration": [ … ], "reporter_first_name_configuration": [ … ], "reporter_last_name_configuration": [ … ], "reporter_phone_number_configuration": [ … ], "reporter_email_configuration": [ … ], "temporary_contact_ssn_configuration": [ … ], "temporary_contact_org_no_configuration": [ … ], "temporary_contact_first_name_configuration": [ … ], "temporary_contact_last_name_configuration": [ … ], "temporary_contact_phone_number_configuration": [ … ], "temporary_contact_email_configuration": [ … ], "show_default_descriptions": true, "general_information_view_configuration": [ … ], "temporary_contact_view_configuration": [ … ], "sensitive_personal_information_view_configuration": [ … ], "actions_view_configuration": [ … ], "reporter_view_configuration": [ … ], "creator_view_configuration": [ … ], "performer_view_configuration": [ … ], "object_connection_view_configuration": [ … ], "name": "string", "errand_type": { … }, "overrides_object_connection_restrictions": true, "overrides_auto_reviewing_settings": true, "overrides_default_descriptions": true, "overrides_delegation_instructions": true, "auto_organization_user_reviewers": [ … ], "auto_external_supplier_reviewers": [ … ], "auto_work_engagement_reviewers": [ … ], "segments": [ … ], "realestates": [ … ], "external_clients": [ … ], "companies": [ … ], "default_actions": [ … ], "default_descriptions": [ … ], "tags": null, "customer_columns": null, "pending_monitor_approval_amount": null } ]